Subject: Re: [git pasky] tarball question

From: Martin Schlemmer <[email-masked]>
Date: Sat, 23 Apr 2005 01:09:42 +0200

On Sat, 2005-04-23 at 00:42 +0200, Petr Baudis wrote:
> Dear diary, on Fri, Apr 22, 2005 at 04:31:43PM CEST, I got a letter
> where Martin Schlemmer <[email-masked]> told me that...
> > Hi,
> 
> Hi,
> 
> > I understand why you have the git-pasky-0.6.x.tar.bz2 tarballs with
> > the .git database included as well (btw, great stuff renaming it to
> > something more distributable), but its going to be a pita for users of
> > source based distro's like us (Gentoo), as well as our mirrors if it
> > gets much bigger. (Already asked r3pek to add it to portage).
> 
> yes; that was actually the plan, it's just that my memory is so
> volatile...
> 

Yep, saw before you posted about the change in URL, thanks.

> > How about ripping the .git directory from the next release, and just
> > have a un-numbered tarball (like you used to) that have the latest
> > snapshot of the .git directory for those that want to do git-pasky
> > development?  Should even make things easier your side, as you could
> > just do a cron to update it one a day/whatever.
> 
> Does it actually make sense to keep a tarball with history? Just build
> git-pasky and do git init. (Or rsync it manually.)
> 

Well, I did not know about kernel.org hosting it, so I thought it might
help due to your reasons for initially tarballing the whole thing =)

Thanks,

-- 
Martin Schlemmer